if (!isObject(AnaPack))
{
	new scriptObject(AnaPack)
	{
		class = AnaPack;
		gui = "AnaPackGui";
	};
}

package AnaPack
{
	function clientCmdSetBackpackHudItem(%num, %addItem)
	{
		if(%addItem)
		{
			AnaPack.gui.setBitmap("AnaPack/" @ $BackPackHudData[%num, ItemDataName] @ ".png");
			AnaPack.gui.setVisible(true);
		}
		else
		{
			AnaPack.gui.setVisible(false);
		}
		
		parent::clientCmdSetBackpackHudItem(%num, %addItem);	
	}
	
	//Pack Icons Activate / Deactivate
	function clientCmdSetSatchelArmed()
	{
		AnaPack.gui.setBitmap("AnaPack/SatchelCharge_Active.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdSetSatchelArmed();
	}
	function clientCmdsetCloakIconOn() 
	{
		AnaPack.gui.setBitmap("AnaPack/CloakingPack_Active.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetCloakIconOn();
	}
	function clientCmdsetCloakIconOff()
	{
		AnaPack.gui.setBitmap("AnaPack/CloakingPack.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetCloakIconOff();
	}
	function clientCmdsetRepairPackIconOn()
	{
		AnaPack.gui.setBitmap("AnaPack/RepairPack_Active.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetRepairPackIconOn();
	}
	function clientCmdsetRepairPackIconOff()
	{
		AnaPack.gui.setBitmap("AnaPack/RepairPack.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetRepairPackIconOff();
	}
	function clientCmdsetShieldIconOn()
	{
		AnaPack.gui.setBitmap("AnaPack/ShieldPack_Active.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetShieldIconOn();
	}
	function clientCmdsetShieldIconOff()
	{
		AnaPack.gui.setBitmap("AnaPack/ShieldPack.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetShieldIconOff();
	}
	function clientCmdsetSenJamIconOn()
	{
		AnaPack.gui.setBitmap("AnaPack/SensorJammerPack_Active.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetSenJamIconOn();
	}
	function clientCmdsetSenJamIconOff()    
	{
		AnaPack.gui.setBitmap("AnaPack/SensorJammerPack.png");
		AnaPack.gui.setVisible(true);
		parent::clientCmdsetSenJamIconOff();
	}
	
	function DispatchLaunchMode()
	{
		AnaPack.Create();
		parent::DispatchLaunchMode();
	}
	
	function LoadingGui::onWake(%this)
	{
		parent::onWake(%this);
		if(isObject(HM) && isObject(HudMover)) hudmover::addhud(AnaPack.gui, "Anakha Pack Hud");
	}
};
activatePackage(AnaPack);

function AnaPack::Create(%this)
{
	new GuiBitmapCtrl(%this.gui) 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "90 10";
		minExtent = "8 8";
		visible = "0";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		wrap = "0";
		bitmap = "AnaPack/EnergyPack.png";
	};
	playGui.add(%this.gui);
    playgui.remove(backpackframe);
}
